Package org.apache.sling.scripting.sightly.impl.filter

## Class URIManipulationFilter

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.filter.AbstractFilter
  - - org.apache.sling.scripting.sightly.impl.filter.URIManipulationFilter

All Implemented Interfaces:
  `Comparable<Filter>`, `Filter`

    public class URIManipulationFilter
    extends AbstractFilter

The `URIManipulationFilter` provides support for Sightly's URI Manipulation options according to the language specification

### Field Summary

Fields
`static String` `ADD_QUERY`
`static String` `ADD_SELECTORS`
`static String` `APPEND_PATH`
`static String` `APPEND_SUFFIX`
`static String` `DOMAIN`
`static String` `EXTENSION`
`static String` `FRAGMENT`
`static String` `PATH`
`static String` `PREPEND_PATH`
`static String` `PREPEND_SUFFIX`
`static String` `QUERY`
`static String` `REMOVE_QUERY`
`static String` `REMOVE_SELECTORS`
`static String` `SCHEME`
`static String` `SELECTORS`
`static String` `SUFFIX`

### Fields inherited from class org.apache.sling.scripting.sightly.impl.filter.AbstractFilter

`NON_PARAMETRIZABLE_CONTEXTS, priority`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected Expression` `apply​(Expression expression, Map<String,​ExpressionNode> options)`
`static URIManipulationFilter` `getInstance()`

### Methods inherited from class org.apache.sling.scripting.sightly.impl.filter.AbstractFilter

`apply, compareTo, equals, getApplicableContexts, getOptions, getRequiredOptions, hashCode, priority`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SCHEME

    public static final String SCHEME

See Also:
  Constant Field Values

#### DOMAIN

    public static final String DOMAIN

See Also:
  Constant Field Values

#### PATH

    public static final String PATH

See Also:
  Constant Field Values

#### APPEND_PATH

    public static final String APPEND_PATH

See Also:
  Constant Field Values

#### PREPEND_PATH

    public static final String PREPEND_PATH

See Also:
  Constant Field Values

#### SELECTORS

    public static final String SELECTORS

See Also:
  Constant Field Values

#### ADD_SELECTORS

    public static final String ADD_SELECTORS

See Also:
  Constant Field Values

#### REMOVE_SELECTORS

    public static final String REMOVE_SELECTORS

See Also:
  Constant Field Values

#### EXTENSION

    public static final String EXTENSION

See Also:
  Constant Field Values

#### SUFFIX

    public static final String SUFFIX

See Also:
  Constant Field Values

#### PREPEND_SUFFIX

    public static final String PREPEND_SUFFIX

See Also:
  Constant Field Values

#### APPEND_SUFFIX

    public static final String APPEND_SUFFIX

See Also:
  Constant Field Values

#### FRAGMENT

    public static final String FRAGMENT

See Also:
  Constant Field Values

#### QUERY

    public static final String QUERY

See Also:
  Constant Field Values

#### ADD_QUERY

    public static final String ADD_QUERY

See Also:
  Constant Field Values

#### REMOVE_QUERY

    public static final String REMOVE_QUERY

See Also:
  Constant Field Values

### Method Detail

#### getInstance

    public static URIManipulationFilter getInstance()

#### apply

    protected Expression apply​(Expression expression,
                               Map<String,​ExpressionNode> options)

Specified by:
  `apply` in class `AbstractFilter`